function dom_seekall(elm, level) {
    var elmstring = "| ".repeat(level) + "▼" + elm.tagName + "要素\n";
    if (elm.children) {		// 子となる要素があるならば
	for (let i=0; i<elm.children.length; i++) {
	    // 1つずつ取り出してさらに dom_seekall() する。
	    elmstring += dom_seekall(elm.children[i], level+1);
	}
	// for (let i of elm.children)		/* このようにしてもよい */
	//   elmstring += dom_seekall(i, level+1);
    }
    return elmstring;
}
alert(dom_seekall(document.documentElement, 0));